#!/bin/bash

yum -y remove portmap* httpd* bind9* samba* nscd* sendmail* apache*
yum update -y
yum -y install vnc-server 
yum -y groupinstall xfce-4.4


wget http://apt.sw.be/redhat/el5/en/i386/rpmforge/RPMS/rpmforge-release-0.5.3-1.el5.rf.i386.rpm
rpm -ivh rpmforge-release-0.5.3-1.el5.rf.i386.rpm

yum -y groupinstall chinese-support

yum -y install curl  g++ c++ gcc openssl-devel perl quota libaio libcom_err-devel libcurl-devel gd zlib-devel zip unzip libcap-devel cronie bzip2 db4-devel cyrus-sasl-devel perl-ExtUtils-Embed libstdc++.so.6 libnspr4.so  libssl.so.6

wget http://releases.mozilla.org/pub/mozilla.org/firefox/releases/3.6.28/linux-i686/en-US/firefox-3.6.28.tar.bz2
bzip2 -d firefox-3.6.28.tar.bz2
tar -xvf firefox-3.6.28.tar

if [`getconf LONG_BIT` = 32] 
then
	wget http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.332/install_flash_player_11_linux.i386.tar.gz
else
	wget http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.332/install_flash_player_11_linux.x86_64.tar.gz
fi

tar zxzf install_flash_player*.tar.gz
mkdir -p ~/.mozilla/plugins/
cp libflashplayer.so ~/.mozilla/plugins/

#vagexyoutubeŻ
wget http://vagex.com/vagex_add_on-1.6.2.xpi
wget http://d.yxlgh.com/vps/youtube_video_quality_manager-1.2-fx.xpi

echo 'VNCSERVERS="1:root"' >> /etc/sysconfig/vncservers
echo 'VNCSERVERARGS[1]="-geometry 1024x768"' >> /etc/sysconfig/vncservers
/etc/init.d/vncserver restart

vncpasswd
vncserver

cat >/root/.vnc/xstartup <<EOF
#!/bin/sh  
#!/bin/sh
/usr/bin/startxfce4
EOF

chmod +x ~/.vnc/xstartup
chkconfig vncserver on

cat >>/root/vgup.sh<<EOF
#!/bin/sh
count=`ps x|grep firefox|wc -l`
vnc=`ps x|grep vncconfig|wc -l`
if [ ${vnc} -gt 1 ]; then
 echo `date`+"  yes,vncserver is working well ...O(_)O~"
else
 echo `date`+"  vncserver is dead, now will restarting ....."
 vncserver -kill :1
 sleep 3s
 vncserver -kill :2
 sleep 3s
 vncserver -kill :3
 sleep  3s
 vncserver
 sleelp 10s
 echo `date`+"  vncserver started....completed  O (_)O~"
fi
if [ ${count} -gt 1 ]; then
 echo `date`+"  yes,firefox is working well ...O(_)O~"
else
 echo `date`+"  firefo is dead, now will restarting ....."
 iceweasel --display=:1
 echo `date`+"firefox started...completed O(_)O~"
fi
EOF

reboot
